<?php

namespace Home\Controller;

use Think\Controller;

class UserController extends Controller {
	public function index() {
		$data = M ( 'authme' )->select ();
		dump ( $data );
		$this->data->$data;
		$this->display ();
		// $this->show('<style type="text/css">*{ padding: 0; margin: 0; } div{ padding: 4px 48px;} body{ background: #fff; font-family: "微软雅黑"; color: #333;font-size:24px} h1{ font-size: 100px; font-weight: normal; margin-bottom: 12px; } p{ line-height: 1.8em; font-size: 36px } a,a:hover{color:blue;}</style><div style="padding: 24px 48px;"> <h1>:)</h1><p>欢迎使用 <b>ThinkPHP</b>！</p><br/>版本 V{$Think.version}</div><script type="text/javascript" src="http://ad.topthink.com/Public/static/client.js"></script><thinkad id="ad_55e75dfae343f5a1"></thinkad><script type="text/javascript" src="http://tajs.qq.com/stats?sId=9347272" charset="UTF-8"></script>','utf-8');
	}
	public function Check($username) {
		$data = M ( 'authme' )->where ( array ('username' => $username ) )->find ();
		if ($data != null) {
			$this->success ( "用户已注册!", '', true );
		} else {
			$this->error ( "用户未注册!", '', true );
		}
	}
	public function Login($username, $password, $verify = null) {
		$data = M ( 'authme' )->where ( array ('username' => $username,'password' => md5 ( $password ) ) )->find ();
		if (IS_POST) {
			/* 检测验证码 */
			if (! check_verify ( $verify )) {
				$this->error ( '验证码输入错误！' );
			}
		}
		if ($data != null) {
			$this->success ( "登录成功!", U ( 'Index/Index' ), true );
		} else {
			$this->error ( "登录失败 用户名或密码错误!", U ( 'Index/Login' ), true );
		}
	}
	public function Register($username, $password, $ip = '127.0.0.1', $mail = 'authme@citycraft.cn') {
		$modelAuthMe = M ( 'authme' );
		$result = $modelAuthMe->where ( array (username => $username ) )->find ();
		if ($result != null) {
			$this->ajaxReturn ( array (status => "error",msg => "注册失败,用户已存在!" ) );
		}
		$value = array (
				'username' => $username,
				'password' => md5 ( $password ),
				'ip' => $ip,
				'lastlogin' => '',
				'x' => '0',
				'y' => '0',
				'z' => '0',
				'world' => 'world',
				'email' => $mail );
		$result = $modelAuthMe->save ( $value );
		if ($result) {
			$this->ajaxReturn ( array (status => "success",msg => "注册成功!" ) );
		} else {
			$this->ajaxReturn ( array (status => "error",msg => "注册失败!" ) );
		}
	}
}